package com.avg.zaap.crashlibrary.core.writer;

/**
 * This exception should be thrown whenever a {@link IDataWriter} instance encounters an
 * unrecoverable error.
 */
@SuppressWarnings("unused")
public class DataWriterException extends Exception {

    /**
     * Default constructor. Calls {@link RuntimeException} constructor.
     */
    public DataWriterException() {
        super();
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message.
     *
     * @param detailMessage detailed message to initialize the exception with
     */
    public DataWriterException(String detailMessage) {
        super(detailMessage);
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message and a throwable
     * instance.
     *
     * @param detailMessage detailed message to initialize the exception with
     * @param throwable     throwable instance to initialize the exception with
     */
    public DataWriterException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    /**
     * Parametric constructor. Initializes the exception with a throwable instance.
     *
     * @param throwable throwable instance to initialize the exception with
     */
    public DataWriterException(Throwable throwable) {
        super(throwable);
    }

}
